/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * @author obper
 */
@Entity
@Table(name = "hproductosucursal")
@XmlRootElement
@NamedQueries({
        @NamedQuery(name = "Hproductosucursal.findAll", query = "SELECT h FROM Hproductosucursal h"),
        @NamedQuery(name = "Hproductosucursal.findByProgramaCodigo", query = "SELECT h FROM Hproductosucursal h WHERE h.hproductosucursalPK.programaCodigo = :programaCodigo"),
        @NamedQuery(name = "Hproductosucursal.findBySucursalCodigo", query = "SELECT h FROM Hproductosucursal h WHERE h.hproductosucursalPK.sucursalCodigo = :sucursalCodigo"),
        @NamedQuery(name = "Hproductosucursal.findByProductoCodigo", query = "SELECT h FROM Hproductosucursal h WHERE h.hproductosucursalPK.productoCodigo = :productoCodigo"),
        @NamedQuery(name = "Hproductosucursal.findByProductoSucursalExistenciaAnterior", query = "SELECT h FROM Hproductosucursal h WHERE h.productoSucursalExistenciaAnterior = :productoSucursalExistenciaAnterior"),
        @NamedQuery(name = "Hproductosucursal.findByProductoSucursalExistenciaActual", query = "SELECT h FROM Hproductosucursal h WHERE h.productoSucursalExistenciaActual = :productoSucursalExistenciaActual"),
        @NamedQuery(name = "Hproductosucursal.findByProductoSucursalFisica", query = "SELECT h FROM Hproductosucursal h WHERE h.productoSucursalFisica = :productoSucursalFisica"),
        @NamedQuery(name = "Hproductosucursal.findByExistenciaTricoder", query = "SELECT h FROM Hproductosucursal h WHERE h.existenciaTricoder = :existenciaTricoder")})
public class Hproductosucursal implements Serializable {
    private static final long serialVersionUID = 1L;
    @EmbeddedId
    protected HproductosucursalPK hproductosucursalPK;
    @Basic(optional = false)
    @NotNull
    @Column(name = "producto_sucursal_existencia_anterior")
    private int productoSucursalExistenciaAnterior;
    @Basic(optional = false)
    @NotNull
    @Column(name = "producto_sucursal_existencia_actual")
    private int productoSucursalExistenciaActual;
    @Basic(optional = false)
    @NotNull
    @Column(name = "producto_sucursal_fisica")
    private int productoSucursalFisica;
    @Column(name = "existencia_tricoder")
    private Integer existenciaTricoder;

    public Hproductosucursal() {
    }

    public Hproductosucursal(HproductosucursalPK hproductosucursalPK) {
        this.hproductosucursalPK = hproductosucursalPK;
    }

    public Hproductosucursal(HproductosucursalPK hproductosucursalPK, int productoSucursalExistenciaAnterior, int productoSucursalExistenciaActual, int productoSucursalFisica) {
        this.hproductosucursalPK = hproductosucursalPK;
        this.productoSucursalExistenciaAnterior = productoSucursalExistenciaAnterior;
        this.productoSucursalExistenciaActual = productoSucursalExistenciaActual;
        this.productoSucursalFisica = productoSucursalFisica;
    }

    public Hproductosucursal(String programaCodigo, String sucursalCodigo, String productoCodigo) {
        this.hproductosucursalPK = new HproductosucursalPK(programaCodigo, sucursalCodigo, productoCodigo);
    }

    public HproductosucursalPK getHproductosucursalPK() {
        return hproductosucursalPK;
    }

    public void setHproductosucursalPK(HproductosucursalPK hproductosucursalPK) {
        this.hproductosucursalPK = hproductosucursalPK;
    }

    public int getProductoSucursalExistenciaAnterior() {
        return productoSucursalExistenciaAnterior;
    }

    public void setProductoSucursalExistenciaAnterior(int productoSucursalExistenciaAnterior) {
        this.productoSucursalExistenciaAnterior = productoSucursalExistenciaAnterior;
    }

    public int getProductoSucursalExistenciaActual() {
        return productoSucursalExistenciaActual;
    }

    public void setProductoSucursalExistenciaActual(int productoSucursalExistenciaActual) {
        this.productoSucursalExistenciaActual = productoSucursalExistenciaActual;
    }

    public int getProductoSucursalFisica() {
        return productoSucursalFisica;
    }

    public void setProductoSucursalFisica(int productoSucursalFisica) {
        this.productoSucursalFisica = productoSucursalFisica;
    }

    public Integer getExistenciaTricoder() {
        return existenciaTricoder;
    }

    public void setExistenciaTricoder(Integer existenciaTricoder) {
        this.existenciaTricoder = existenciaTricoder;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (hproductosucursalPK != null ? hproductosucursalPK.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Hproductosucursal)) {
            return false;
        }
        Hproductosucursal other = (Hproductosucursal) object;
        if ((this.hproductosucursalPK == null && other.hproductosucursalPK != null) || (this.hproductosucursalPK != null && !this.hproductosucursalPK.equals(other.hproductosucursalPK))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.Hproductosucursal[ hproductosucursalPK=" + hproductosucursalPK + " ]";
    }

}
